Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network51.136.0.0/13
Usable hosts524,286
Subnet mask255.248.0.0
Addresses524,288
Network address
51.136.0.0
Broadcast address
51.143.255.255
First usable
51.136.0.1
Last usable
51.143.255.254
Usable hosts
524,286 (524,288 less the network and broadcast addresses)
Subnet mask
255.248.0.0
Wildcard mask
0.7.255.255 (Cisco ACLs, OSPF)
Prefix length
/13
Type
Public public
Old class
A (default /8)
As numbers
Hex 33880000 · Integer 864550912 to 865075199
Reverse DNS zones
136.51.in-addr.arpa
137.51.in-addr.arpa
138.51.in-addr.arpa
139.51.in-addr.arpa
140.51.in-addr.arpa
141.51.in-addr.arpa
142.51.in-addr.arpa
143.51.in-addr.arpa
/13 is not on a 8-bit boundary, so it takes 8 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00110011.10001000.00000000.0000000051.136.0.0
Subnet mask11111111.11111000.00000000.00000000255.248.0.0
Network00110011.10001000.00000000.0000000051.136.0.0
Broadcast00110011.10001111.11111111.1111111151.143.255.255
Split into smaller subnets/24

51.136.0.0/13 makes 2,048 subnets of /24; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
151.136.0.0/2451.136.0.1 to 51.136.0.25451.136.0.255254
251.136.1.0/2451.136.1.1 to 51.136.1.25451.136.1.255254
351.136.2.0/2451.136.2.1 to 51.136.2.25451.136.2.255254
451.136.3.0/2451.136.3.1 to 51.136.3.25451.136.3.255254
551.136.4.0/2451.136.4.1 to 51.136.4.25451.136.4.255254
651.136.5.0/2451.136.5.1 to 51.136.5.25451.136.5.255254
751.136.6.0/2451.136.6.1 to 51.136.6.25451.136.6.255254
851.136.7.0/2451.136.7.1 to 51.136.7.25451.136.7.255254
951.136.8.0/2451.136.8.1 to 51.136.8.25451.136.8.255254
1051.136.9.0/2451.136.9.1 to 51.136.9.25451.136.9.255254
1151.136.10.0/2451.136.10.1 to 51.136.10.25451.136.10.255254
1251.136.11.0/2451.136.11.1 to 51.136.11.25451.136.11.255254
1351.136.12.0/2451.136.12.1 to 51.136.12.25451.136.12.255254
1451.136.13.0/2451.136.13.1 to 51.136.13.25451.136.13.255254
1551.136.14.0/2451.136.14.1 to 51.136.14.25451.136.14.255254
1651.136.15.0/2451.136.15.1 to 51.136.15.25451.136.15.255254
1751.136.16.0/2451.136.16.1 to 51.136.16.25451.136.16.255254
1851.136.17.0/2451.136.17.1 to 51.136.17.25451.136.17.255254
1951.136.18.0/2451.136.18.1 to 51.136.18.25451.136.18.255254
2051.136.19.0/2451.136.19.1 to 51.136.19.25451.136.19.255254
2151.136.20.0/2451.136.20.1 to 51.136.20.25451.136.20.255254
2251.136.21.0/2451.136.21.1 to 51.136.21.25451.136.21.255254
2351.136.22.0/2451.136.22.1 to 51.136.22.25451.136.22.255254
2451.136.23.0/2451.136.23.1 to 51.136.23.25451.136.23.255254
2551.136.24.0/2451.136.24.1 to 51.136.24.25451.136.24.255254
2651.136.25.0/2451.136.25.1 to 51.136.25.25451.136.25.255254
2751.136.26.0/2451.136.26.1 to 51.136.26.25451.136.26.255254
2851.136.27.0/2451.136.27.1 to 51.136.27.25451.136.27.255254
2951.136.28.0/2451.136.28.1 to 51.136.28.25451.136.28.255254
3051.136.29.0/2451.136.29.1 to 51.136.29.25451.136.29.255254
3151.136.30.0/2451.136.30.1 to 51.136.30.25451.136.30.255254
3251.136.31.0/2451.136.31.1 to 51.136.31.25451.136.31.255254
3351.136.32.0/2451.136.32.1 to 51.136.32.25451.136.32.255254
3451.136.33.0/2451.136.33.1 to 51.136.33.25451.136.33.255254
3551.136.34.0/2451.136.34.1 to 51.136.34.25451.136.34.255254
3651.136.35.0/2451.136.35.1 to 51.136.35.25451.136.35.255254
3751.136.36.0/2451.136.36.1 to 51.136.36.25451.136.36.255254
3851.136.37.0/2451.136.37.1 to 51.136.37.25451.136.37.255254
3951.136.38.0/2451.136.38.1 to 51.136.38.25451.136.38.255254
4051.136.39.0/2451.136.39.1 to 51.136.39.25451.136.39.255254
4151.136.40.0/2451.136.40.1 to 51.136.40.25451.136.40.255254
4251.136.41.0/2451.136.41.1 to 51.136.41.25451.136.41.255254
4351.136.42.0/2451.136.42.1 to 51.136.42.25451.136.42.255254
4451.136.43.0/2451.136.43.1 to 51.136.43.25451.136.43.255254
4551.136.44.0/2451.136.44.1 to 51.136.44.25451.136.44.255254
4651.136.45.0/2451.136.45.1 to 51.136.45.25451.136.45.255254
4751.136.46.0/2451.136.46.1 to 51.136.46.25451.136.46.255254
4851.136.47.0/2451.136.47.1 to 51.136.47.25451.136.47.255254
4951.136.48.0/2451.136.48.1 to 51.136.48.25451.136.48.255254
5051.136.49.0/2451.136.49.1 to 51.136.49.25451.136.49.255254
5151.136.50.0/2451.136.50.1 to 51.136.50.25451.136.50.255254
5251.136.51.0/2451.136.51.1 to 51.136.51.25451.136.51.255254
5351.136.52.0/2451.136.52.1 to 51.136.52.25451.136.52.255254
5451.136.53.0/2451.136.53.1 to 51.136.53.25451.136.53.255254
5551.136.54.0/2451.136.54.1 to 51.136.54.25451.136.54.255254
5651.136.55.0/2451.136.55.1 to 51.136.55.25451.136.55.255254
5751.136.56.0/2451.136.56.1 to 51.136.56.25451.136.56.255254
5851.136.57.0/2451.136.57.1 to 51.136.57.25451.136.57.255254
5951.136.58.0/2451.136.58.1 to 51.136.58.25451.136.58.255254
6051.136.59.0/2451.136.59.1 to 51.136.59.25451.136.59.255254
6151.136.60.0/2451.136.60.1 to 51.136.60.25451.136.60.255254
6251.136.61.0/2451.136.61.1 to 51.136.61.25451.136.61.255254
6351.136.62.0/2451.136.62.1 to 51.136.62.25451.136.62.255254
6451.136.63.0/2451.136.63.1 to 51.136.63.25451.136.63.255254
6551.136.64.0/2451.136.64.1 to 51.136.64.25451.136.64.255254
6651.136.65.0/2451.136.65.1 to 51.136.65.25451.136.65.255254
6751.136.66.0/2451.136.66.1 to 51.136.66.25451.136.66.255254
6851.136.67.0/2451.136.67.1 to 51.136.67.25451.136.67.255254
6951.136.68.0/2451.136.68.1 to 51.136.68.25451.136.68.255254
7051.136.69.0/2451.136.69.1 to 51.136.69.25451.136.69.255254
7151.136.70.0/2451.136.70.1 to 51.136.70.25451.136.70.255254
7251.136.71.0/2451.136.71.1 to 51.136.71.25451.136.71.255254
7351.136.72.0/2451.136.72.1 to 51.136.72.25451.136.72.255254
7451.136.73.0/2451.136.73.1 to 51.136.73.25451.136.73.255254
7551.136.74.0/2451.136.74.1 to 51.136.74.25451.136.74.255254
7651.136.75.0/2451.136.75.1 to 51.136.75.25451.136.75.255254
7751.136.76.0/2451.136.76.1 to 51.136.76.25451.136.76.255254
7851.136.77.0/2451.136.77.1 to 51.136.77.25451.136.77.255254
7951.136.78.0/2451.136.78.1 to 51.136.78.25451.136.78.255254
8051.136.79.0/2451.136.79.1 to 51.136.79.25451.136.79.255254
8151.136.80.0/2451.136.80.1 to 51.136.80.25451.136.80.255254
8251.136.81.0/2451.136.81.1 to 51.136.81.25451.136.81.255254
8351.136.82.0/2451.136.82.1 to 51.136.82.25451.136.82.255254
8451.136.83.0/2451.136.83.1 to 51.136.83.25451.136.83.255254
8551.136.84.0/2451.136.84.1 to 51.136.84.25451.136.84.255254
8651.136.85.0/2451.136.85.1 to 51.136.85.25451.136.85.255254
8751.136.86.0/2451.136.86.1 to 51.136.86.25451.136.86.255254
8851.136.87.0/2451.136.87.1 to 51.136.87.25451.136.87.255254
8951.136.88.0/2451.136.88.1 to 51.136.88.25451.136.88.255254
9051.136.89.0/2451.136.89.1 to 51.136.89.25451.136.89.255254
9151.136.90.0/2451.136.90.1 to 51.136.90.25451.136.90.255254
9251.136.91.0/2451.136.91.1 to 51.136.91.25451.136.91.255254
9351.136.92.0/2451.136.92.1 to 51.136.92.25451.136.92.255254
9451.136.93.0/2451.136.93.1 to 51.136.93.25451.136.93.255254
9551.136.94.0/2451.136.94.1 to 51.136.94.25451.136.94.255254
9651.136.95.0/2451.136.95.1 to 51.136.95.25451.136.95.255254
9751.136.96.0/2451.136.96.1 to 51.136.96.25451.136.96.255254
9851.136.97.0/2451.136.97.1 to 51.136.97.25451.136.97.255254
9951.136.98.0/2451.136.98.1 to 51.136.98.25451.136.98.255254
10051.136.99.0/2451.136.99.1 to 51.136.99.25451.136.99.255254
10151.136.100.0/2451.136.100.1 to 51.136.100.25451.136.100.255254
10251.136.101.0/2451.136.101.1 to 51.136.101.25451.136.101.255254
10351.136.102.0/2451.136.102.1 to 51.136.102.25451.136.102.255254
10451.136.103.0/2451.136.103.1 to 51.136.103.25451.136.103.255254
10551.136.104.0/2451.136.104.1 to 51.136.104.25451.136.104.255254
10651.136.105.0/2451.136.105.1 to 51.136.105.25451.136.105.255254
10751.136.106.0/2451.136.106.1 to 51.136.106.25451.136.106.255254
10851.136.107.0/2451.136.107.1 to 51.136.107.25451.136.107.255254
10951.136.108.0/2451.136.108.1 to 51.136.108.25451.136.108.255254
11051.136.109.0/2451.136.109.1 to 51.136.109.25451.136.109.255254
11151.136.110.0/2451.136.110.1 to 51.136.110.25451.136.110.255254
11251.136.111.0/2451.136.111.1 to 51.136.111.25451.136.111.255254
11351.136.112.0/2451.136.112.1 to 51.136.112.25451.136.112.255254
11451.136.113.0/2451.136.113.1 to 51.136.113.25451.136.113.255254
11551.136.114.0/2451.136.114.1 to 51.136.114.25451.136.114.255254
11651.136.115.0/2451.136.115.1 to 51.136.115.25451.136.115.255254
11751.136.116.0/2451.136.116.1 to 51.136.116.25451.136.116.255254
11851.136.117.0/2451.136.117.1 to 51.136.117.25451.136.117.255254
11951.136.118.0/2451.136.118.1 to 51.136.118.25451.136.118.255254
12051.136.119.0/2451.136.119.1 to 51.136.119.25451.136.119.255254
12151.136.120.0/2451.136.120.1 to 51.136.120.25451.136.120.255254
12251.136.121.0/2451.136.121.1 to 51.136.121.25451.136.121.255254
12351.136.122.0/2451.136.122.1 to 51.136.122.25451.136.122.255254
12451.136.123.0/2451.136.123.1 to 51.136.123.25451.136.123.255254
12551.136.124.0/2451.136.124.1 to 51.136.124.25451.136.124.255254
12651.136.125.0/2451.136.125.1 to 51.136.125.25451.136.125.255254
12751.136.126.0/2451.136.126.1 to 51.136.126.25451.136.126.255254
12851.136.127.0/2451.136.127.1 to 51.136.127.25451.136.127.255254
12951.136.128.0/2451.136.128.1 to 51.136.128.25451.136.128.255254
13051.136.129.0/2451.136.129.1 to 51.136.129.25451.136.129.255254
13151.136.130.0/2451.136.130.1 to 51.136.130.25451.136.130.255254
13251.136.131.0/2451.136.131.1 to 51.136.131.25451.136.131.255254
13351.136.132.0/2451.136.132.1 to 51.136.132.25451.136.132.255254
13451.136.133.0/2451.136.133.1 to 51.136.133.25451.136.133.255254
13551.136.134.0/2451.136.134.1 to 51.136.134.25451.136.134.255254
13651.136.135.0/2451.136.135.1 to 51.136.135.25451.136.135.255254
13751.136.136.0/2451.136.136.1 to 51.136.136.25451.136.136.255254
13851.136.137.0/2451.136.137.1 to 51.136.137.25451.136.137.255254
13951.136.138.0/2451.136.138.1 to 51.136.138.25451.136.138.255254
14051.136.139.0/2451.136.139.1 to 51.136.139.25451.136.139.255254
14151.136.140.0/2451.136.140.1 to 51.136.140.25451.136.140.255254
14251.136.141.0/2451.136.141.1 to 51.136.141.25451.136.141.255254
14351.136.142.0/2451.136.142.1 to 51.136.142.25451.136.142.255254
14451.136.143.0/2451.136.143.1 to 51.136.143.25451.136.143.255254
14551.136.144.0/2451.136.144.1 to 51.136.144.25451.136.144.255254
14651.136.145.0/2451.136.145.1 to 51.136.145.25451.136.145.255254
14751.136.146.0/2451.136.146.1 to 51.136.146.25451.136.146.255254
14851.136.147.0/2451.136.147.1 to 51.136.147.25451.136.147.255254
14951.136.148.0/2451.136.148.1 to 51.136.148.25451.136.148.255254
15051.136.149.0/2451.136.149.1 to 51.136.149.25451.136.149.255254
15151.136.150.0/2451.136.150.1 to 51.136.150.25451.136.150.255254
15251.136.151.0/2451.136.151.1 to 51.136.151.25451.136.151.255254
15351.136.152.0/2451.136.152.1 to 51.136.152.25451.136.152.255254
15451.136.153.0/2451.136.153.1 to 51.136.153.25451.136.153.255254
15551.136.154.0/2451.136.154.1 to 51.136.154.25451.136.154.255254
15651.136.155.0/2451.136.155.1 to 51.136.155.25451.136.155.255254
15751.136.156.0/2451.136.156.1 to 51.136.156.25451.136.156.255254
15851.136.157.0/2451.136.157.1 to 51.136.157.25451.136.157.255254
15951.136.158.0/2451.136.158.1 to 51.136.158.25451.136.158.255254
16051.136.159.0/2451.136.159.1 to 51.136.159.25451.136.159.255254
16151.136.160.0/2451.136.160.1 to 51.136.160.25451.136.160.255254
16251.136.161.0/2451.136.161.1 to 51.136.161.25451.136.161.255254
16351.136.162.0/2451.136.162.1 to 51.136.162.25451.136.162.255254
16451.136.163.0/2451.136.163.1 to 51.136.163.25451.136.163.255254
16551.136.164.0/2451.136.164.1 to 51.136.164.25451.136.164.255254
16651.136.165.0/2451.136.165.1 to 51.136.165.25451.136.165.255254
16751.136.166.0/2451.136.166.1 to 51.136.166.25451.136.166.255254
16851.136.167.0/2451.136.167.1 to 51.136.167.25451.136.167.255254
16951.136.168.0/2451.136.168.1 to 51.136.168.25451.136.168.255254
17051.136.169.0/2451.136.169.1 to 51.136.169.25451.136.169.255254
17151.136.170.0/2451.136.170.1 to 51.136.170.25451.136.170.255254
17251.136.171.0/2451.136.171.1 to 51.136.171.25451.136.171.255254
17351.136.172.0/2451.136.172.1 to 51.136.172.25451.136.172.255254
17451.136.173.0/2451.136.173.1 to 51.136.173.25451.136.173.255254
17551.136.174.0/2451.136.174.1 to 51.136.174.25451.136.174.255254
17651.136.175.0/2451.136.175.1 to 51.136.175.25451.136.175.255254
17751.136.176.0/2451.136.176.1 to 51.136.176.25451.136.176.255254
17851.136.177.0/2451.136.177.1 to 51.136.177.25451.136.177.255254
17951.136.178.0/2451.136.178.1 to 51.136.178.25451.136.178.255254
18051.136.179.0/2451.136.179.1 to 51.136.179.25451.136.179.255254
18151.136.180.0/2451.136.180.1 to 51.136.180.25451.136.180.255254
18251.136.181.0/2451.136.181.1 to 51.136.181.25451.136.181.255254
18351.136.182.0/2451.136.182.1 to 51.136.182.25451.136.182.255254
18451.136.183.0/2451.136.183.1 to 51.136.183.25451.136.183.255254
18551.136.184.0/2451.136.184.1 to 51.136.184.25451.136.184.255254
18651.136.185.0/2451.136.185.1 to 51.136.185.25451.136.185.255254
18751.136.186.0/2451.136.186.1 to 51.136.186.25451.136.186.255254
18851.136.187.0/2451.136.187.1 to 51.136.187.25451.136.187.255254
18951.136.188.0/2451.136.188.1 to 51.136.188.25451.136.188.255254
19051.136.189.0/2451.136.189.1 to 51.136.189.25451.136.189.255254
19151.136.190.0/2451.136.190.1 to 51.136.190.25451.136.190.255254
19251.136.191.0/2451.136.191.1 to 51.136.191.25451.136.191.255254
19351.136.192.0/2451.136.192.1 to 51.136.192.25451.136.192.255254
19451.136.193.0/2451.136.193.1 to 51.136.193.25451.136.193.255254
19551.136.194.0/2451.136.194.1 to 51.136.194.25451.136.194.255254
19651.136.195.0/2451.136.195.1 to 51.136.195.25451.136.195.255254
19751.136.196.0/2451.136.196.1 to 51.136.196.25451.136.196.255254
19851.136.197.0/2451.136.197.1 to 51.136.197.25451.136.197.255254
19951.136.198.0/2451.136.198.1 to 51.136.198.25451.136.198.255254
20051.136.199.0/2451.136.199.1 to 51.136.199.25451.136.199.255254
20151.136.200.0/2451.136.200.1 to 51.136.200.25451.136.200.255254
20251.136.201.0/2451.136.201.1 to 51.136.201.25451.136.201.255254
20351.136.202.0/2451.136.202.1 to 51.136.202.25451.136.202.255254
20451.136.203.0/2451.136.203.1 to 51.136.203.25451.136.203.255254
20551.136.204.0/2451.136.204.1 to 51.136.204.25451.136.204.255254
20651.136.205.0/2451.136.205.1 to 51.136.205.25451.136.205.255254
20751.136.206.0/2451.136.206.1 to 51.136.206.25451.136.206.255254
20851.136.207.0/2451.136.207.1 to 51.136.207.25451.136.207.255254
20951.136.208.0/2451.136.208.1 to 51.136.208.25451.136.208.255254
21051.136.209.0/2451.136.209.1 to 51.136.209.25451.136.209.255254
21151.136.210.0/2451.136.210.1 to 51.136.210.25451.136.210.255254
21251.136.211.0/2451.136.211.1 to 51.136.211.25451.136.211.255254
21351.136.212.0/2451.136.212.1 to 51.136.212.25451.136.212.255254
21451.136.213.0/2451.136.213.1 to 51.136.213.25451.136.213.255254
21551.136.214.0/2451.136.214.1 to 51.136.214.25451.136.214.255254
21651.136.215.0/2451.136.215.1 to 51.136.215.25451.136.215.255254
21751.136.216.0/2451.136.216.1 to 51.136.216.25451.136.216.255254
21851.136.217.0/2451.136.217.1 to 51.136.217.25451.136.217.255254
21951.136.218.0/2451.136.218.1 to 51.136.218.25451.136.218.255254
22051.136.219.0/2451.136.219.1 to 51.136.219.25451.136.219.255254
22151.136.220.0/2451.136.220.1 to 51.136.220.25451.136.220.255254
22251.136.221.0/2451.136.221.1 to 51.136.221.25451.136.221.255254
22351.136.222.0/2451.136.222.1 to 51.136.222.25451.136.222.255254
22451.136.223.0/2451.136.223.1 to 51.136.223.25451.136.223.255254
22551.136.224.0/2451.136.224.1 to 51.136.224.25451.136.224.255254
22651.136.225.0/2451.136.225.1 to 51.136.225.25451.136.225.255254
22751.136.226.0/2451.136.226.1 to 51.136.226.25451.136.226.255254
22851.136.227.0/2451.136.227.1 to 51.136.227.25451.136.227.255254
22951.136.228.0/2451.136.228.1 to 51.136.228.25451.136.228.255254
23051.136.229.0/2451.136.229.1 to 51.136.229.25451.136.229.255254
23151.136.230.0/2451.136.230.1 to 51.136.230.25451.136.230.255254
23251.136.231.0/2451.136.231.1 to 51.136.231.25451.136.231.255254
23351.136.232.0/2451.136.232.1 to 51.136.232.25451.136.232.255254
23451.136.233.0/2451.136.233.1 to 51.136.233.25451.136.233.255254
23551.136.234.0/2451.136.234.1 to 51.136.234.25451.136.234.255254
23651.136.235.0/2451.136.235.1 to 51.136.235.25451.136.235.255254
23751.136.236.0/2451.136.236.1 to 51.136.236.25451.136.236.255254
23851.136.237.0/2451.136.237.1 to 51.136.237.25451.136.237.255254
23951.136.238.0/2451.136.238.1 to 51.136.238.25451.136.238.255254
24051.136.239.0/2451.136.239.1 to 51.136.239.25451.136.239.255254
24151.136.240.0/2451.136.240.1 to 51.136.240.25451.136.240.255254
24251.136.241.0/2451.136.241.1 to 51.136.241.25451.136.241.255254
24351.136.242.0/2451.136.242.1 to 51.136.242.25451.136.242.255254
24451.136.243.0/2451.136.243.1 to 51.136.243.25451.136.243.255254
24551.136.244.0/2451.136.244.1 to 51.136.244.25451.136.244.255254
24651.136.245.0/2451.136.245.1 to 51.136.245.25451.136.245.255254
24751.136.246.0/2451.136.246.1 to 51.136.246.25451.136.246.255254
24851.136.247.0/2451.136.247.1 to 51.136.247.25451.136.247.255254
24951.136.248.0/2451.136.248.1 to 51.136.248.25451.136.248.255254
25051.136.249.0/2451.136.249.1 to 51.136.249.25451.136.249.255254
25151.136.250.0/2451.136.250.1 to 51.136.250.25451.136.250.255254
25251.136.251.0/2451.136.251.1 to 51.136.251.25451.136.251.255254
25351.136.252.0/2451.136.252.1 to 51.136.252.25451.136.252.255254
25451.136.253.0/2451.136.253.1 to 51.136.253.25451.136.253.255254
25551.136.254.0/2451.136.254.1 to 51.136.254.25451.136.254.255254
25651.136.255.0/2451.136.255.1 to 51.136.255.25451.136.255.255254

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses